Commit fb439c60 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Removed ecmwf-api-client installation as this is now included in SICOR. Pinned...


Removed ecmwf-api-client installation as this is now included in SICOR. Pinned scipy to 1.1.0 in environment_gms_preprocessing.yml to make CI work for now.

Signed-off-by: Daniel Scheffler's avatarDaniel Scheffler <danschef@gfz-potsdam.de>
parent de8500c6
......@@ -75,7 +75,6 @@ test_gms_preprocessing_install:
# install not pip-installable deps of sicor
- conda install -y -q -c conda-forge glymur pygrib cachetools pyhdf h5py pytables llvmlite numba
- pip install ecmwf-api-client # FIXME remove as long as this is no more needed for the hyperspectral part of SICOR
# install gms_preprocessing
- pip install -e .
......
......@@ -144,7 +144,6 @@ Using conda_, the recommended approach is:
# install not pip-installable deps of sicor
conda install -c conda-forge glymur pygrib cachetools pyhdf h5py pytables llvmlite numba
pip install ecmwf-api-client
# install gms_preprocessing
git clone https://gitext.gfz-potsdam.de/geomultisens/gms_preprocessing.git
......
......@@ -28,7 +28,6 @@ dependencies:
- pip:
- cerberus
- dill
- ecmwf-api-client # remove as soon as this is part of the sicor setup.py requirements
- ephem
- geoalchemy2
- jsmin
......@@ -45,7 +44,7 @@ dependencies:
- redis
- retools
- redis-semaphore
- scipy
- scipy=1.1.0 # pinned due to https://gitext.gfz-potsdam.de/EnMAP/sicor/-/issues/63
- spectral
- sqlalchemy
- timeout_decorator
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment